[Hook Scripts]
check_generated_tests_up_to_date = tools/test_presubmit.py

hidden_api_txt_checksorted_hook = ${REPO_ROOT}/tools/platform-compat/hiddenapi/checksorted_sha.sh ${PREUPLOAD_COMMIT} ${REPO_ROOT}

# TODO(b/189484095): Port libnativebridge tests to atest and enable in presubmit
# so we don't need the custom runtests script and this check.
check_libnativebridge_test_field = libnativebridge/tests/preupload_check_test_tag.sh ${PREUPLOAD_COMMIT_MESSAGE} ${PREUPLOAD_FILES}

check_expectation_jsons = tools/check_presubmit_json_expectations.sh ${REPO_ROOT} ${PREUPLOAD_FILES}

[Builtin Hooks]
cpplint = true
bpfmt = true
gofmt = true

[Builtin Hooks Options]
# Cpplint prints nothing unless there were errors.
cpplint = --quiet ${PREUPLOAD_FILES}
